Browse code

configure: move basic sanity tests before other tests

Originally committed as revision 16995 to svn://svn.ffmpeg.org/ffmpeg/trunk

Måns Rullgård authored on 2009/02/05 06:28:54
Showing 1 changed files
... ...
@@ -1324,6 +1324,33 @@ TMPO="${TMPDIR}/ffmpeg-conf-${RANDOM}-$$-${RANDOM}.o"
1324 1324
 TMPS="${TMPDIR}/ffmpeg-conf-${RANDOM}-$$-${RANDOM}.S"
1325 1325
 TMPSH="${TMPDIR}/ffmpeg-conf-${RANDOM}-$$-${RANDOM}.sh"
1326 1326
 
1327
+# make sure we can execute files in $TMPDIR
1328
+cat > $TMPSH 2>> $logfile <<EOF
1329
+#! /bin/sh
1330
+EOF
1331
+chmod +x $TMPSH >> $logfile 2>&1
1332
+if ! $TMPSH >> $logfile 2>&1; then
1333
+    cat <<EOF
1334
+Unable to create and execute files in $TMPDIR.  Set the TMPDIR environment
1335
+variable to another directory and make sure that it is not mounted noexec.
1336
+EOF
1337
+    die "Sanity test failed."
1338
+fi
1339
+rm $TMPSH
1340
+
1341
+# compiler sanity check
1342
+check_exec <<EOF
1343
+int main(void){ return 0; }
1344
+EOF
1345
+if test "$?" != 0; then
1346
+    echo "$cc is unable to create an executable file."
1347
+    if test -z "$cross_prefix" && ! enabled cross_compile ; then
1348
+        echo "If $cc is a cross-compiler, use the --enable-cross-compile option."
1349
+        echo "Only do this if you know what cross compiling means."
1350
+    fi
1351
+    die "C compiler test failed."
1352
+fi
1353
+
1327 1354
 check_cflags -std=c99
1328 1355
 
1329 1356
 case "$arch" in
... ...
@@ -1722,33 +1749,6 @@ if test $cpu != "generic"; then
1722 1722
     esac
1723 1723
 fi
1724 1724
 
1725
-# make sure we can execute files in $TMPDIR
1726
-cat > $TMPSH 2>> $logfile <<EOF
1727
-#! /bin/sh
1728
-EOF
1729
-chmod +x $TMPSH >> $logfile 2>&1
1730
-if ! $TMPSH >> $logfile 2>&1; then
1731
-    cat <<EOF
1732
-Unable to create and execute files in $TMPDIR.  Set the TMPDIR environment
1733
-variable to another directory and make sure that it is not mounted noexec.
1734
-EOF
1735
-    die "Sanity test failed."
1736
-fi
1737
-rm $TMPSH
1738
-
1739
-# compiler sanity check
1740
-check_exec <<EOF
1741
-int main(void){ return 0; }
1742
-EOF
1743
-if test "$?" != 0; then
1744
-    echo "$cc is unable to create an executable file."
1745
-    if test -z "$cross_prefix" && ! enabled cross_compile ; then
1746
-        echo "If $cc is a cross-compiler, use the --enable-cross-compile option."
1747
-        echo "Only do this if you know what cross compiling means."
1748
-    fi
1749
-    die "C compiler test failed."
1750
-fi
1751
-
1752 1725
 check_cc <<EOF || die "Symbol mangling check failed."
1753 1726
 int ff_extern;
1754 1727
 EOF